Announcement

Collapse
No announcement yet.

AMD 8.41.7 Display Driver Released -- The Holy Crap Edition!

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • they are just like telling you to wait till the next generation of GPUs to come up and then they will improve the R600 driver. Anyway, i got problem running Xgl + windows manager. It just freezes the whole screen when composite windows manager is executed. and clues?

    Comment


    • Originally posted by morpheus5 View Post
      they are just like telling you to wait till the next generation of GPUs to come up and then they will improve the R600 driver. Anyway, i got problem running Xgl + windows manager. It just freezes the whole screen when composite windows manager is executed. and clues?
      You could wait till 8.42 and just use AIGLX
      Michael Larabel
      http://www.michaellarabel.com/

      Comment


      • Stupid fellas

        Sorry for insult.

        READ THE DAAAAAAAAAAAAAAAAAMN INFO FOR GOD SAKE,
        ATI/AMD CLEARLY SAYS, THIS DRIVER IS INTENDED FOR HD SERIES VIDEOCARDS, OTHER USERS SHOULD STICK TO THE PREVIOUS RELEASES.

        go, READ...

        well, now to my stuff, okey i fixed a symlink with libgl.1.0 or what it was again, well... now i got another damn issue stuck up in my ass.

        atkins@atkins-desktop:~$ glxinfo
        name of display: :0.0
        X Error of failed request: BadRequest (invalid request code or no such operation)
        Major opcode of failed request: 0 ()
        Serial number of failed request: 8
        Current serial number in output stream: 8
        atkins@atkins-desktop:~$

        fun fun fun..

        Got HD 2900 XT

        Comment


        • When I got the 8.41 driver first time in hand and installed it, up on restart I say half scan line of random pixels on the top of screen I knew something was not right...

          Then there's extreme 2D slowdown, like draging a Digg webpage would stuck like my 3.5GHz Core 2 is a Pentium II dog.

          I removed the 8.41 right away. Knowing it has great OpenGL code base but I just can't enjoy it while there are so many rough edges in the driver... Donno if one month.... 5 weeks polishing is enough to removed those bugs or not.

          Comment


          • I have Mobility Radeon x2300 (debian kernel - 22, xorg 1.4)

            8.42 starts without any trouble and opengl working the same as 41.7

            but with aiglx:

            xorg.log: (WW marked)

            (WW) fglrx(0): board is an unknown third party board, chipset is supported
            (WW) fglrx(0): Only one display is connnected,so single mode is enabled
            (WW) fglrx(0): could not detect X server version (query_status=-3)
            (WW) fglrx(0): Option "FSAAEnable" is not used
            (WW) fglrx(0): Option "FSAADisableGamma" is not used
            (WW) fglrx(0): Option "RenderAccel" is not used
            (WW) fglrx(0): Option "VendorName" is not used
            (WW) fglrx(0): Option "ModelName" is not used
            (WW) AIGLX: 3D driver claims to not support visual 0x25
            (WW) AIGLX: 3D driver claims to not support visual 0x26
            and soon
            (WW) AIGLX: 3D driver claims to not support visual 0x78

            is it ok?

            and when I'm trying to start compiz 5.2 it is saying:

            GLX_EXT_texture_from_pixmap is not available with direct rendering.
            GLX_EXT_texture_from_pixmap is not available with indirect rendering. Aborting!

            but when I call compiz.real --replace it starts somehow but in a strange way (no headers of windows and no switching between desktops and no keyboard entering ) )

            upd: oh, misunderstood. doesn't start at all..

            what is the problem, anybody, can you help?
            Last edited by ashtray; 10-23-2007, 03:41 PM.

            Comment


            • The Xserver 1.4 support is half broken:

              a) First 3d app does not work (you have to close it)

              b) AIGLX does not work

              It works with Xserver 1.3 however, if you like downgrade.

              Comment


              • Hi everybody,
                Well i don`t know were my last write went, but anyway now i get the openSUSE 10.3 +xorg7.2+fglrx 8.41.7 work even after reboot,
                But on this morning when i boot my pc, it didn`t work anymore" just black screen again, and i have to go init 3 to get log in..
                Does anybody have suggestion what to do?
                the 8.42.3 version what i also try it, didn`t work either, on list i did not found suse 10.3 that i could build the package for it.
                Ou and i`m using kernel 2.6.22.9 with suse patch.

                Ps. sorry my english is little bit rust.

                Comment

                Working...
                X